Bug 1970473 - firefox-89 webrender breaks rendering on Wayland with NVIDIA closed-source driver
Summary: firefox-89 webrender breaks rendering on Wayland with NVIDIA closed-source dr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-10 14:18 UTC by Olivier Fourdan
Modified: 2021-06-26 01:07 UTC (History)
13 users (show)

Fixed In Version: firefox-89.0-2.fc34 firefox-89.0-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-18 01:07:54 UTC
Type: Bug


Attachments (Terms of Use)
Firefox trouble report for scratch build 89.0.2 (139.06 KB, application/pdf)
2021-06-11 23:07 UTC, Bob Schultz
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Mozilla Foundation 1646135 0 P3 UNCONFIRMED Firefox-Wayland doesn't start on the proprietary nvidia driver 2021-06-11 08:12:30 UTC

Description Olivier Fourdan 2021-06-10 14:18:13 UTC
Description of problem:

When using Firefox 89 on Wayland with the closed-source NVIDIA driver, nothing shows up on screen, the window is completely blank, just trails of the mouse pointer.

Version-Release number of selected component (if applicable):

firefox-89.0-1.fc34.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Install the NVIDIA closed source driver
2. Enable Wayland with the NVIDIA closed source driver (by editing /usr/lib/udev/rules.d/61-gdm.rules) 
3. Log-in a GNOME on Wayland session
4. Start firefox

Actual results:

No window appears on screen

Expected results:

The window shows up

Additional info:

Downgrading to firefox 87 restores functionality

Workaround:

Disabling Webrender with "MOZ_WEBRENDER=0 firefox" also avoids the issue

Comment 1 Olivier Fourdan 2021-06-10 14:21:49 UTC
Could be https://bugzilla.mozilla.org/show_bug.cgi?id=1646135

Comment 2 Bob Schultz 2021-06-11 01:59:36 UTC
Same problem except xorg not wayland on Mate, and display is semi-transparent with weird colors.

Comment 3 Olivier Fourdan 2021-06-11 07:28:23 UTC
(In reply to Bob Schultz from comment #2)
> Same problem except xorg not wayland on Mate, and display is
> semi-transparent with weird colors.

Not sure it is the same problem though - The issue here is specifically with Firefox 89 on Wayland native with NVIDIA closed source driver.

Firefox 89 with Webrender works fine on Xwayland and Xorg with the same driver with GNOME and also with Mate here.

Comment 4 Olivier Fourdan 2021-06-11 08:09:26 UTC
Patch from Rober Mader to disable HW-WR on Nvidia prop. drivers on Wayland

https://phabricator.services.mozilla.com/D117434

Comment 6 Bob Schultz 2021-06-11 23:05:42 UTC
Tested scratch build here-still broken. Attaching firefox trouble report for details. Lots of "feature_failure_glxtest_failed" entries.

Comment 7 Bob Schultz 2021-06-11 23:07:00 UTC
Created attachment 1790396 [details]
Firefox trouble report for scratch build 89.0.2

Attachment for recent comment.

Comment 8 Thynson 2021-06-12 16:58:50 UTC
Firefox 89 does not render things for me on X11 too, with NVIDIA driver 465.31. 
But can be work around by set `gfx.webrender.force-disabled` to true in about:config page.

Comment 9 Bob Schultz 2021-06-12 20:41:48 UTC
Workaround in comment 8 `gfx.webrender.force-disabled` set to true works here also (with X11 and NVIDIA driver 465.31)

Comment 10 Olivier Fourdan 2021-06-14 06:49:37 UTC
(In reply to Bob Schultz from comment #6)
> Tested scratch build here-still broken. Attaching firefox trouble report for
> details. Lots of "feature_failure_glxtest_failed" entries.

This bug is about Webrender not showing anything with NVIDIA closed source driver on Wayland, you mentioned in comment 2 that you're using Mate, hence Xorg, not a Wayland compositor.

The scratch build I mentioned in comment 5 disables WR with NVIDIA on Wayland only, so it won't change anything for the your issue on Xorg.

FWIW, I tried Firefox 89 with a recent NVIDIA driver on GNOME on Xorg and it worked fine, so I suspect your issue is something else.

I would suggest to file a separate bug for the issue with Mate on Xorg and follow up from there.

Comment 11 Martin Stransky 2021-06-14 15:44:40 UTC
Bob, please file a new bug at bugzilla.mozilla.org/ and CC me there, that would need further diagnostics from Mozilla gfx team.
Builds with disabled WebRender/Wayland/NVIDIA are in koji now (firefox-89.0-2.*).

Comment 12 Bob Schultz 2021-06-14 23:54:41 UTC
(In reply to Martin Stransky from comment #11)
> Bob, please file a new bug at bugzilla.mozilla.org/ and CC me there, that
> would need further diagnostics from Mozilla gfx team.
> Builds with disabled WebRender/Wayland/NVIDIA are in koji now
> (firefox-89.0-2.*).

Done. Couldn't figure out how to cc you there tho.

https://bugzilla.mozilla.org/show_bug.cgi?id=1716449

Comment 13 Fedora Update System 2021-06-16 12:57:22 UTC
FEDORA-2021-a8b5c5b33c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a8b5c5b33c

Comment 14 Fedora Update System 2021-06-16 12:57:24 UTC
FEDORA-2021-0a06ac54c1 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0a06ac54c1

Comment 15 Fedora Update System 2021-06-17 01:29:51 UTC
FEDORA-2021-0a06ac54c1 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0a06ac54c1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0a06ac54c1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-06-17 01:52:46 UTC
FEDORA-2021-a8b5c5b33c has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a8b5c5b33c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a8b5c5b33c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-06-18 01:07:54 UTC
FEDORA-2021-0a06ac54c1 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-06-26 01:07:39 UTC
FEDORA-2021-a8b5c5b33c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.